> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.hollr.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.hollr.ai/_mcp/server.

# Delete a conversation

DELETE https://api.hollr.ai/v1/conversation/conversation/{conversation_id}

Reference: https://docs.hollr.ai/api-reference/hollr-ai-api/conversations/delete-conversation

## Authentication

- `hollr-api-key` header (required) — API key issued for your account. Every request is logged and rate-limited against this key.

## Request

### Path parameters

- `conversation_id` (string, required) — UUID of the conversation.

## Response

### 200

Conversation deleted.

- `status` (string, optional)
- `message` (string, optional)
- `data` (object, optional)
  - `id` (string, optional)

## Examples

**Response**

```json
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.hollr.ai/v1/conversation/conversation/conversation_id"

headers = {"hollr-api-key": "<apiKey>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.hollr.ai/v1/conversation/conversation/conversation_id';
const options = {method: 'DELETE', headers: {'hollr-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hollr.ai/v1/conversation/conversation/conversation_id"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("hollr-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.hollr.ai/v1/conversation/conversation/conversation_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["hollr-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.hollr.ai/v1/conversation/conversation/conversation_id")
  .header("hollr-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.hollr.ai/v1/conversation/conversation/conversation_id', [
  'headers' => [
    'hollr-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.hollr.ai/v1/conversation/conversation/conversation_id");
var request = new RestRequest(Method.DELETE);
request.AddHeader("hollr-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["hollr-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hollr.ai/v1/conversation/conversation/conversation_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```